LINUX.ORG.RU

Релиз драйверов NVIDIA 340.76

 ,


0

1

Корпорация NVIDIA разрабатывает драйверы для Linux в несколько ответвлений: с длительной поддержкой, которые рассматриваются как наиболее стабильные, с краткосрочной поддержкой и драйверы для старых графических процессоров NVIDIA.

Недавно был обновлён драйвер NVIDIA версии 340 для Linux - NVIDIA 340.76, который позиционируется, как драйвер с длительной поддержкой.

Как правило, NVIDIA выпускает драйверы и обновления к ним для более новых видеокарт, но это обновление драйвера NVIDIA версии 340 коснулось также достаточно старых видеокарт, таких как NVIDIA GeForce 8, 9, 100, 200, 300 и т.д.

>>> Подробности

★★★★★

Проверено: Pinkbyte ()

Слишком много болда.

Deleted ()

Nvidia GeForce 8, 9, 100, 200, 300 и т.д.

Молодцы ребята.

garik_keghen ★★★★★ ()
Ответ на: комментарий от Deleted

Пока это сообщение писалось, я уже пофиксил :-)

Pinkbyte ★★★★★ ()

Подробности

Короче, ты не перевёл, а пинкбайт подтвердил. Мило)))

darkenshvein ★★★★★ ()
Ответ на: комментарий от Black_Shadow

дак вот именно. текста то кот наплакал, а перевести не захотели.

darkenshvein ★★★★★ ()

Если бы не эти «отчаянные парни» - Линукс был бы в глубокой попе, да такой, что даже животворящий палец Линуса мог был бы применен только к свой персоне.

P.S.Vivat Nvidia!

void_ptr ★★★★ ()

FF так же говорит, что соединение с ЛОРом не защищено. Это проблемы ЛОРа.

anonymous ()

340.76 - пятая legacy-ветка, хватит дезинформировать население. Второй раз уже вижу тут новости про суперстабильные релизы, на деле оказывающиеся legacy-ветками, куда модераторы смотрят?

Citramonum ★★ ()
Ответ на: комментарий от anonymous

УМВР

Вы соединены с linux.org.ru

Подтверждено GeoTrust, Inc.

Соединение с этим веб-сайтом является защищённым.

FF 35.0.1

Myau ★★★★ ()
Ответ на: комментарий от anonymous

iceweasel 35 - говорит, что полет нормальный, соединение защищено

sehellion ★★★★★ ()
Ответ на: комментарий от void_ptr

Насколько я знаю, «отчаянные парни» ведут разработку железа на линуксе. Понятно какие видеокарты они при этом используют и куда багрепорты шлют :)

A-234 ★★★★★ ()

жаль, что совсем древние драйвера 96хх не обновляют под новое ядро и xserver, а то я как последний лох сижу на своей geforce mx440 с nouveau

LOONTIK ()
Ответ на: комментарий от LOONTIK

geforce mx440 с nouveau

не думаю, что от такой затычки даже с блобом будет прок

anonymous ()

у меня на встроеной 8300 последние нормальные работающие драйвера были 319. теперь они на новые ядра не ставятся, пришлось в новой сусе поставить 304 и в ясте заблокировать обновление на новые драйвера. ставятся они бодро, но как только в иксы загружаешься, начинаются на экране артефакты и секунд через 10 висяк. а как поставить 319 на новые ядра я хз.

Vlst ()

Не пойму, то ли я слепой, то ли опечатка, где написана поддержка 9xx на сайте? Впрочем УМВР.

e7z0x1 ★★★★ ()

Gentoo впереди планеты всей. Пришлось маскировать >=x11-drivers/nvidia-drivers-341.0.0, потому что моя карта N9600GT не поддерживается новыми драйверами.

Feonis ★★ ()
Ответ на: комментарий от void_ptr

Да-да, то-то приставки и стимбокс на амд. А это, оказывается, всё вооон те парни. Понятно. Особенно мне «нравится» позиция этих тридварасов «отчаянных парней» относительно некоего расширения стандарта displayport. Молодцы парни, всё правильно делают.

targitaj ★★★★★ ()

А где список изменений? Фигасе новости пошли.

goingUp ★★★★★ ()
Ответ на: комментарий от anonymous

жаль, что совсем древние драйвера 96хх не обновляют под новое ядро и xserver, а то я как последний лох сижу на своей geforce mx440 с nouveau

не думаю, что от такой затычки даже с блобом будет прок

На ней идут такие игры, как UT2, Comanche4 и другие старенькие шутеры и 3D-симуляторы. На современных открытых драйверах до сих пор нельзя запустить эти игры в WINE.

iZEN ★★★★★ ()
Ответ на: комментарий от Odalist

А почему по твоей ссылке не написали «Список изменений в файлике CHANGELOG в архиве с драйвером»?

goingUp ★★★★★ ()
Ответ на: комментарий от goingUp

А почему по твоей ссылке не написали

Откуда я могу знать? Можешь спросить владельца компании Jen-Hsun Huang :)

Odalist ★★★★★ ()
Ответ на: комментарий от garik_keghen

То есть я за свою GeForce 9600 GT могу пока не волноваться?

hobbit ★★★★★ ()
Ответ на: комментарий от Vlst

Судя по этому файлу, драйвер серии 319.xx работает с ядрами 2.6.9 - 3.10. Скорее всего, проблема в этом. Неофициальные патчи для добавления поддержки ядра Linux 3.11 здесь, для более новых (3.16) скорее всего нет.

319.xx был LTS-версией драйвера, теперь LTS - 331.xx. Последняя версия здесь, в одной из релизов 331.xx исправлен баг с Flash Player и Steam, запущенными одновременно (окно сворачиваешь, а квадратик программы по-прежнему виден). Устанавливать - sh NVIDIA-Linux-x86_64-331.113.run. Устанавливать, не выключая X-Server - sh NVIDIA-Linux-x86_64-331.113.run --no-x-check, удалять - sh NVIDIA-Linux-x86_64-331.113.run --uninstall. Если из репозитория packman установлен dkms, сделай mkdir /var/tmp/dkms.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от hobbit

То есть я за свою GeForce 9600 GT могу пока не волноваться?

У меня на работе 8600GT - но пока вроде даже она в мейнстриме.

void_ptr ★★★★ ()

nvidia-driver-346.35

  • Добавлена поддержка следующих GPU:
    • GeForce 800A
    • GeForce 800M
    • GeForce GTX 970M
    • GeForce GTX 980M
  • Добавлена поддержка X.org xserver ABI 19 (xorg-server 1.17).
  • Устранена ошибка, которая не позволяла 4K панелям на некоторых ноутбуках работать с достаточной пропускной способностью для поддержки нативного разрешения.
  • Устранена проблема, которая приводила к некорректному определению дисплеев на некоторых ноутбуках.
  • Устранена ошибка, которая могла приводить к замораживанию Х при использовании Base Mosaic.
  • Updated the driver installation make files to use LOCALBASE instead of X11BASE to determine the default installation paths.
  • Устранена регрессия, из-за которой драйвер NVIDIA X не распознавал топологии Base Mosaic, созданные в панели управления nvidia-settings.
  • Обновлен драйвер NVIDIA X, чтобы отклонять формат упаковки 3D-кадров Frame Packing через HDMI во время валидации режима. Эти режимы проверялись драйвером несмотря на то, что они никогда не поддерживались.
  • Устранена ошибка, которая не позволяла возвращать в исходное состояние консоль после принудительного завершения работы X на некоторых GPU, к которым были подключены несколько мониторов через интерфейс DisplayPort. Эта ошибка также, как следствие, не позволяла X начать работу после неудачного восстановления консоли.
  • Обновлена версия libvdpau, поставляемая с драйвером до версии 0.9. Эта версия имеет переменную среды VDPAU_DRIVER_PATH и устраняет ситуацию гонки потоков, если несколько потоков вызывают VdpDeviceCreateX11 одновременно. Смотрите http://lists.freedesktop.org/archives/vdpau/2014-December/000274.html Обратите внимание, настоятельно рекомендуется использовать пакеты libvdpau, поставляемые производителем своего ПО, а не полагаться на пакеты, поставляемые с графическими драйверами NVIDIA.
  • Устранена ошибка, которая приводила к смещению изображения на экране при трансформации экрана (например, вращении или отражении) на G-SYNC дисплеях, подключенных к GPU на базе архитектуры Kepler.
  • Устранена ошибка, которая приводила к отображению пустого экрана при установке режима, требующего компрессии YUV 4:2:0. На данный момент эти режимы не поддерживаются.
  • Устранена ошибка, которая приводила к некорректному отображению конфигурации DisplayPort после горячего подключения или отключения.
  • Добавлена поддержка следующих EGL расширений:
    • EGL_EXT_device_base EGL_EXT_platform_device EGL_EXT_output_base
  • Добавлена возможность увеличивать рабочее напряжение на отдельных GPU серии GeForce GTX 400 и более поздних. Пользователь изменяет напряжение на свой риск. See the documentation on the «CoolBits» X configuration option in the README for details.
  • Добавлена ускоренная поддержка форматов r8g8b8a8, r8g8b8x8, b8g8r8a8 и b8g8r8x8 RENDER.
  • Обновлен nvidia-settings для использования возможностей ПО GTK+ 3, когда оно доступно. Эта возможность была реализована за счет разделения пользовательского интерфейса nvidia-settings на отдельные библиотеки (libnvidia-gtk2.so, libnvidia-gtk3.so) и загрузки нужной библиотеки в момент выполнения ПО.
  • В nvidia-settings добавлена опция --gtk-library, чтобы иметь возможность указывать имя каталога, который содержит библиотеку пользовательского интерфейса или имя библиотеки, которую необходимо использовать.
  • Устранена ошибка компилятора GLSL, которая порождала искажения изображения при запуске в Wine таких игр, как Far Cry 3.
  • Исправлено расширение EGL_KHR_stream_cross_process_fd.
  • Устранено искажение изображения, которое иногда случалось при вызове DrawElementsInstancedBaseVertexBaseInstance(), DrawElementsInstancedBaseInstance() или DrawArraysInstancedBaseInstance().
  • Значительно улучшена производительность создания объектов фреймбуфера OpenGL.
  • Устранено ограничение максимального числа объектов фреймбуфера OpenGL.
  • Обновлен драйвер NVIDIA OpenGL, чтобы использовать $XDG_CACHE_HOME вместо $HOME в качестве места сохранения кэша диска GL по умолчанию.

Источник: http://www.nvidia.ru/download/driverResults.aspx/81343/ru Информация порта: http://www.freshports.org/x11/nvidia-driver/

iZEN ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Cпасибо, попробую. Но если не ошибаюсь, ветку 331 я пробовал, и она тоже подвешивает видеокарту. И кстати, на сусю 13.1 я ставил не через репы, а через инсталятор 319, всё ставилось и работало. После обновления на 13.2 так же поставил через инсталятор, и всё работало. А потом обновилось ядро, и видео слетело. Я не стал разбираться, так как хотел уже давно с нуля переставить систему. Так вот, после переустановки 319 на отрез отказался ставиться, ругаясь в логе на какието недостающие хидеры в исходниках ядра.

Vlst ()
Ответ на: комментарий от Vlst

После обновления ядра надо всегда переустанавливать дпроприетарные драйверы. И даже не проприетарные - VirtualBox и Cdemu. Удали с помощью --uninstall, затем установи снова.

А вообще можно бы и баг запостить. Я вот запостил баг на никому не нужную 7025, поддержка которой кончается через полгода. Не исправили, но и не убили.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Ясное дело что после обновления ядра надо переставлять дрова. Я не точно описал ситуацию - слетело видео (это нормально после обновления) и не захотело устанавливаться с того же самого инсталятора выдавая ошибку. Баг это наверное надо, только хз как описать проблему. Виснет же, что тут описывать. Дай приз ссылочку на их багтрекер, гляну что там надо для описания бага проделать.

Vlst ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.